import React, { HTMLAttributes } from 'react';
import { DependencyType } from '@teambit/code.ui.queries.get-component-code';
import { ComponentID } from '@teambit/component';
export type CodeViewProps = {
    componentId: ComponentID;
    currentFile?: string;
    currentFileContent?: string;
    icon?: string;
    loading?: boolean;
    codeSnippetClassName?: string;
    dependencies?: DependencyType[];
    host?: string;
} & HTMLAttributes<HTMLDivElement>;
export declare function CodeView({ className, componentId, currentFile, icon, currentFileContent, codeSnippetClassName, loading: loadingFromProps, dependencies, host, }: CodeViewProps): React.JSX.Element;
